﻿<h1 id="creating-and-assigning-vlans">Creating and Assigning VLANs</h1>
<h3 id="in-this-how-to-we-will-cover-creating-an-access-and-voice-vlan-and-assigning-vlans-to-a-switchport">In this How To we will cover creating an Access and Voice VLAN and assigning VLANs to a switchport.</h3>
<p><img src="Switchingfundamentals.png" alt="f" /></p>
<ul>
<li>We will have to create 4 VLANs on each switch and will assign the VLANs to the correct ports.</li>
</ul>
<h2 id="configuration">Configuration</h2>
<ul>
<li>To create VLANs we must go into Global Configuration mode on the CLI, and then create the VLANs using the syntax below.</li>
</ul>
<p><code>SW1#configure terminal</code> # This command puts us in Global Config mode</p>
<p><code>SW1(config)#vlan 10</code> # This command puts us into the VLAN sub-configuration mode</p>
<p><code>SW1(config-vlan)#name SALES</code> # This command sets a name for the VLAN.</p>
<p><code>SW1(config-vlan)#exit</code> # This command will actually save the VLAN into the VLAN database</p>
<ul>
<li><p>The complete configuration to create all four VLANs is shown below. <img src="VLANconfiguration.png" alt="VLAN Configuration" /></p>
</li>
<li><p>Now that we have created the VLANs we will need to assign the VLANs to the correct ports. We assign VLANs from Global Configuration Mode using the syntax below.</p>
</li>
</ul>
<p><code>SW1(config)#interface ethernet 1/0</code> # This command puts us into the interface sub-configuration mode</p>
<p><code>SW1(config-if)#switchport mode access</code> # This command sets this interface to actually be an <strong>&quot;access&quot;</strong> port for users.</p>
<p><code>SW1(config-if)#switchport access vlan 30</code> # This command will actually assign <strong>VLAN</strong> <strong>30</strong> to this interface</p>
<p><code>SW1(config-if)#switchport voice vlan 40</code> # This command will set a <strong>VOICE</strong> <strong>VLAN</strong> for the interface</p>
<ul>
<li>The complete configuraion to assign all VLANs is shown below. <img src="assigningVLANs.png" alt="vlan assignment" /></li>
</ul>
<h2 id="verification">Verification</h2>
<ul>
<li>The following show commands will verify that the VLANs are created and are assigned to the correct port.</li>
</ul>
<p><code>SW1#show vlan</code> # This command will show the entire VLAN database <img src="showvlan.png" alt="show vlan" /></p>
<p><code>SW1#show vlan brief</code> # This command will show only a brief output of the VLAN database <img src="showvlanbrief.png" alt="show vlan brief" /></p>
<p><code>SW1#show running-config interface ethernet 0/0</code> # This command will show you the configuration for just the specified port</p>
<p><img src="showrunningconfiginterfaceethernet.png" alt="show run int eth" /></p>
<p><code>SW1#show interface ethernet 0/0 switchport</code> # This command will show how the hardware of the port is actually configured. Whether its Layer 2 and what mode the port is configured for. <img src="showinterfacesethernetswitchport.png" alt="show inteface eth0/0 switch" /></p>
